%global momorel 3

Summary:	URI-Find module for perl 
Name:		perl-URI-Find
Version:	20100505
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Development/Languages
Source0:	http://www.cpan.org/authors/id/M/MS/MSCHWERN/URI-Find-%{version}.tar.gz
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/URI/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl >= 5.6.0
BuildRequires:  perl-URI >= 1.00
Requires:       perl-URI >= 1.00
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module does one thing: Finds URIs and URLs in plain text. It finds
them quickly and it finds them all (or what URI::URL considers a URI to
be.) It only finds URIs which include a scheme (http:// or the like), for
something a bit less strict have a look at URI::Find::Schemeless.

%prep
%setup -q -n URI-Find-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README TODO
%{_bindir}/urifind
%{perl_vendorlib}/URI/Find
%{perl_vendorlib}/URI/Find.pm
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (20100505-3m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (20100505-2m)
- rebuild against perl-5.12.1

* Thu May  5 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (20100505-1m)
- update to 20100505

* Wed May  5 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (20100504.1039-1m)
- update to 20100504.1039

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (20100211-2m)
- rebuild against perl-5.12.0

* Fri Feb 12 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (20100211-1m)
- updatee to 20100211

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (20090319-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (20090319-2m)
- rebuild against perl-5.10.1

* Wed Aug  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (20090319-1m)
- update to 20090319
- specfile was re-generated

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.16-4m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.16-3m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.16-2m)
- use vendor

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.16-1m)
- spec file was autogenerated
